# Interface SimpleMarkerSymbolJson

Simple marker symbols can be used to symbolize point geometries.

See https://developers.arcgis.com/web-map-specification/objects/esriSMS_symbol/.

interface SimpleMarkerSymbolJson {
angle?: number;
color?: ColorJson;
outline?: SimpleLineSymbolJson;
size?: number;
style?:
| "esriSMSCircle"
| "esriSMSCross"
| "esriSMSDiamond"
| "esriSMSSquare"
| "esriSMSX"
| "esriSMSTriangle"
| "esriSMSPath";
type: "esriSMS";
xoffset?: number;
yoffset?: number;
}

#### Hierarchy (view full)

- SymbolJsonBase
  - SimpleMarkerSymbolJson

#####
Index

### Properties

angle?
color?
outline?
size?
style?
type
xoffset?
yoffset?

##
Properties

### `Optional` angle

angle?: number

Numeric value used to rotate the symbol. The symbol is rotated counter-clockwise. For example, The following, angle=-30, in will create a symbol rotated -30 degrees counter-clockwise; that is, 30 degrees clockwise.

### `Optional` color

color?: ColorJson

Color is represented as a four-element array. The four elements represent values for red, green, blue, and alpha in that order. Values range from 0 through 255. If color is undefined for a symbol, the color value is null.

### `Optional` outline

outline?: SimpleLineSymbolJson

Sets the outline of the marker symbol.

### `Optional` size

size?: number

Numeric size of the symbol given in pixels.

### `Optional` style

style?:
| "esriSMSCircle"
| "esriSMSCross"
| "esriSMSDiamond"
| "esriSMSSquare"
| "esriSMSX"
| "esriSMSTriangle"
| "esriSMSPath"

The marker style.

### type

type

The type of symbol. See SymbolJsonType.

Overrides SymbolJsonBase.type

### `Optional` xoffset

xoffset?: number

Numeric value indicating the offset on the x-axis in pixels.

### `Optional` yoffset

yoffset?: number

Numeric value indicating the offset on the y-axis in pixels.